Subject: bug#21953: Eliminate warnings in the emacs-25 release branch

From: Dmitry Gutov <[email-masked]>
Date: Wed, 25 Nov 2015 02:28:32 +0200

On 11/24/2015 09:55 PM, Alan Mackenzie wrote:

> Sir, I take exception to that!  :-)  Last time I looked (about 10 minutes
> ago), CC Mode produced but a single byte compiler warning.

That's a pretty cool result. I don't see any warnings left, actually.

> That partly explains the warning left in CC Mode, yes.

I see you're taking a systematic approach to backward compatibility, 
with dynamic selection of definitions, aliases (and probably something 
else). Were any of those made specifically to avoid a byte-compilation 
warning? I wonder if that's worth it.